Bug 1762311 - build-aux/pkg-version has bashishms
Summary: build-aux/pkg-version has bashishms
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: 7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-16 13:48 UTC by Patrick Matthäi
Modified: 2020-03-12 12:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 12:16:16 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23629 0 None Abandoned build: make pkg-version POSIX shell complaint 2020-01-28 19:30:27 UTC

Description Patrick Matthäi 2019-10-16 13:48:32 UTC
build-aux/pkg-version should use /bin/bash instead of /bin/sh in his shebang or the bashishm should be fixed:

possible bashism in build-aux/pkg-version line 26 (should be 'b = a'):
    if [ "x${version}" == "x" ] ; then
possible bashism in build-aux/pkg-version line 49 (should be 'b = a'):
    if [ "x${release}" == "x" ] ; then

Comment 1 Worker Ant 2020-03-12 12:16:16 UTC
This bug is moved to https://github.com/gluster/glusterfs/issues/857, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.